export function undef() {
    return undefined;
}
export function memoize(fn) {
    let memo;
    return () => {
        if (memo === undefined) {
            memo = fn();
        }
        return memo;
    };
}
